Module java.desktop
Package javax.swing.plaf.basic

## Class BasicSplitPaneUI.KeyboardUpLeftHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicSplitPaneUI.KeyboardUpLeftHandler

All Implemented Interfaces:
  `ActionListener`, `EventListener`

Enclosing class:
  BasicSplitPaneUI

    public class BasicSplitPaneUI.KeyboardUpLeftHandler
    extends Object
    implements ActionListener

Implementation of an ActionListener that the JSplitPane UI uses for handling specific key presses.

This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicSplitPaneUI.

### Constructor Summary

Constructors
`KeyboardUpLeftHandler()`

### Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.awt.event.ActionListener

`actionPerformed`

### Constructor Detail

#### KeyboardUpLeftHandler

    public KeyboardUpLeftHandler()